org.apache.maven.plugin.clean

## Class Fileset

- java.lang.Object
- - org.apache.maven.plugin.clean.Fileset

    public class Fileset
    extends java.lang.Object

Customizes the string representation of `org.apache.maven.shared.model.fileset.FileSet` to return the included and excluded files from the file-set's directory. Specifically, `"file-set: [directory] (included: [included files], excluded: [excluded files])"`

Since:
  2.1
Version:
  $Id: Fileset.java 1026633 2010-10-23 16:13:38Z bentmann $

### Constructor Summary

Constructors
Constructor and Description
`Fileset()`

### Method Summary

Methods
`java.io.File` `getDirectory()`
`java.lang.String[]` `getExcludes()`
`java.lang.String[]` `getIncludes()`
`boolean` `isFollowSymlinks()`
`boolean` `isUseDefaultExcludes()`
`java.lang.String` `toString()` Retrieves the included and excluded files from this file-set's directory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Fileset

    public Fileset()

### Method Detail

#### getDirectory

    public java.io.File getDirectory()

#### getIncludes

    public java.lang.String[] getIncludes()

#### getExcludes

    public java.lang.String[] getExcludes()

#### isFollowSymlinks

    public boolean isFollowSymlinks()

#### isUseDefaultExcludes

    public boolean isUseDefaultExcludes()

#### toString

    public java.lang.String toString()

Retrieves the included and excluded files from this file-set's directory. Specifically, `"file-set: [directory] (included: [included files], excluded: [excluded files])"`

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The included and excluded files from this file-set's directory. Specifically, `"file-set: [directory] (included: [included files], excluded: [excluded files])"`
See Also:
  `Object.toString()`